# class DBus::Data::Basic

A value that is not a {Container}.

### Public Class Methods

basic?() click to toggle source

        # File lib/dbus/data.rb
    115 def self.basic?
    116   true
    117 end

from_typed(value, type:) click to toggle source

@param value [::Object] @param type [Type] @return [Basic]

        # File lib/dbus/data.rb
    133 def self.from_typed(value, type:)
    134   assert_type_matches_class(type)
    135   new(value)
    136 end

type() click to toggle source

@return [Type]

        # File lib/dbus/data.rb
    120 def self.type
    121   # memoize
    122   @type ||= Type.new(type_code).freeze
    123 end

### Public Instance Methods

type() click to toggle source

        # File lib/dbus/data.rb
    125 def type
    126   # The basic types can do this, unlike the containers
    127   self.class.type
    128 end